org.apache.sysds.runtime.io.hdf5.message

## Class H5FillValueMessage

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message
  - - org.apache.sysds.runtime.io.hdf5.message.H5FillValueMessage

    public class H5FillValueMessage
    extends H5Message

### Constructor Summary

Constructors
Constructor and Description
`H5FillValueMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`
`H5FillValueMessage(H5RootObject rootObject, BitSet flags, int spaceAllocationTime, int fillValueWriteTime, boolean fillValueDefined)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `getFillValue()`
`int` `getFillValueWriteTime()`
`int` `getSpaceAllocationTime()`
`boolean` `isFillValueDefined()`
`void` `toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5FillValueMessage

    public H5FillValueMessage(H5RootObject rootObject,
                              BitSet flags,
                              int spaceAllocationTime,
                              int fillValueWriteTime,
                              boolean fillValueDefined)

#### H5FillValueMessage

    public H5FillValueMessage(H5RootObject rootObject,
                              BitSet flags,
                              ByteBuffer bb)

### Method Detail

#### toBuffer

    public void toBuffer(H5BufferBuilder bb)

#### getSpaceAllocationTime

    public int getSpaceAllocationTime()

#### getFillValueWriteTime

    public int getFillValueWriteTime()

#### isFillValueDefined

    public boolean isFillValueDefined()

#### getFillValue

    public ByteBuffer getFillValue()